
QGIS Application - Bug report #19390

Copy/Paste features causes crash in 2.18.24

2018-07-11 11:00 AM - Antonio Viscomi

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:2.18.24 Regression?: No

Operating System: Windows 7 Ultimate x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27218

Description

Hi all,

I need to copy 300 geometries from 'secondary_shape' to main_shape (attached),

then I select all records and when I click on Paste Icon QGIS 2.18.21 crashes how the attached screenshot show.

In Qgis 3.2 with the same files copy/paste it works fine

History

#1 - 2018-10-08 06:42 PM - Antonio Viscomi

This issues it appear also in Qgis 2.18.24 in case of an incompatibility in the types of some field

#2 - 2018-10-08 06:44 PM - Antonio Viscomi

Antonio Viscomi wrote:

This issues it appear also in Qgis 2.18.24 in case of an incompatibility in the types of some field

i.e. a field type "real" with a field type real (64)

#3 - 2018-10-09 11:41 AM - Giovanni Manghi

- Regression? changed from Yes to No

- Affected QGIS version changed from 2.18.21 to 2.18.24

- Subject changed from Copy/Paste  features causes crash in 2.18.21 to Copy/Paste features causes crash in 2.18.24

#4 - 2019-01-21 12:35 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#5 - 2019-01-23 09:31 AM - Antonio Viscomi

Jürgen Fischer wrote:
Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

this bug is no longer present in 3.4.4 then the ticket it can be closed

greetings

#6 - 2019-01-23 10:12 AM - Harrissou Santanna

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Thanks for having checked.

Files

Crash.7z 1.68 MB 2018-07-11 Antonio Viscomi

crash_screenshot.png 1.95 MB 2018-07-11 Antonio Viscomi
